#%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global momorel 2

Name:           pungi
Version:        0.3.8
Release: %{momorel}m%{?dist}
Summary:        Distribution compose tool

Group:          Development/Tools
License:        GPL
URL:            http://linux.duke.edu/projects/%{name}/
Source0:        http://linux.duke.edu/projects/%{name}/release/%{name}-%{version}.tar.gz
Source10:       yum.conf.i386
Source11:       yum.conf.x86_64
Source12:       yum.conf.i686
Patch0:		pungi-0.3.8-momonga.patch
Patch1:		pungi-0.3.1-no_database.patch
Patch2:		pungi-0.3.1-i686_support.patch
Patch3:		pungi-0.3.8-momonga-release.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:       anaconda-runtime, yum => 3.0.3
BuildRequires:  python-devel

BuildArch:      noarch

%description
A tool to create anaconda based installation trees/isos of a set of rpms.


%prep
%setup -q

%patch0 -p1 -b .momonga
%patch1 -p1 -b .no_database
%patch2 -p1 -b .i686
%patch3 -p1 -b .momonga_release

%build
%{__python} setup.py build


%install
rm -rf --preserve-root %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# move FC config
mkdir %{buildroot}/%{_sysconfdir}/pungi/sample
mv %{buildroot}/%{_sysconfdir}/pungi/comps-*.xml %{buildroot}/%{_sysconfdir}/pungi/sample
mv %{buildroot}/%{_sysconfdir}/pungi/f7-* %{buildroot}/%{_sysconfdir}/pungi/sample
mv %{buildroot}/%{_sysconfdir}/pungi/yum.conf* %{buildroot}/%{_sysconfdir}/pungi/sample

# remove original file 
rm -f %{buildroot}/%{_sysconfdir}/pungi/pungi.conf.momonga

# install Momonga config
install -m 644 %{SOURCE10} %{buildroot}/%{_sysconfdir}/pungi/
install -m 644 %{SOURCE11} %{buildroot}/%{_sysconfdir}/pungi/
install -m 644 %{SOURCE12} %{buildroot}/%{_sysconfdir}/pungi/

 
%clean
rm -rf --preserve-root %{buildroot}


%files
%defattr(-,root,root,-)
%doc Authors Changelog COPYING GPL README ToDo
%config(noreplace) %{_sysconfdir}/pungi
%{python_sitelib}/pypungi
%{_bindir}/pungi


%changelog
* Fri Aug  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.8-2m)
- support momonga-release, momonga-release-notes

* Thu Jun 28 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.8-1m)
- update 0.3.8

* Sun Jun  3 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.3.5-2m)
- delete comps.xml.momonga4.core(Source50)
- add yum.conf.i686(Source12)

* Wed May 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.5-1m)
- update 0.3.5

* Wed Apr 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.1-2m)
- createrepo unused "--database" option.
- pungi support i686 arch


* Mon Apr  9 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.1-1m)
- initial commit

